from django_filters import rest_framework as filters

from MeditationApp.models import (OTP, CategoryImage, EffectCategory, Page,
                                  Personlize, Songs, SongsCategory, SongsImage,
                                  User, UserFavourite)


class PersonlizeFilter(filters.FilterSet):
    """
    Personlize filter
    filter user id with any word
    """

    # name = filters.CharFilter(field_name="name", lookup_expr='icontains')
    user = filters.CharFilter(field_name="user__id", lookup_expr="exact")

    class Meta:
        model = Personlize
        fields = [
            "user",
        ]


class SongsFilter(filters.FilterSet):
    """
    Songs filter
    filter user id with any word
    """

    name = filters.CharFilter(field_name="name", lookup_expr="icontains")
    user = filters.CharFilter(field_name="user__id", lookup_expr="exact")
    id = filters.CharFilter(field_name="id", lookup_expr="exact")
    title = filters.CharFilter(field_name="title", lookup_expr="icontains")

    class Meta:
        model = Songs
        fields = ["id", "user", "name", "title"]


class SongsCategoryFilter(filters.FilterSet):
    """
    SongsCategory filter
    filter user id with any word
    """

    id = filters.CharFilter(field_name="id", lookup_expr="exact")
    name = filters.CharFilter(field_name="name", lookup_expr="icontains")
    user = filters.CharFilter(field_name="user__id", lookup_expr="exact")
    title = filters.CharFilter(field_name="title", lookup_expr="icontains")

    class Meta:
        model = SongsCategory
        fields = ["id", "user", "name", "title"]


class EffectCategoryFilter(filters.FilterSet):
    """
    EffectCategoryFilter filter
    filter user id with any word
    """

    id = filters.CharFilter(field_name="id", lookup_expr="exact")
    name = filters.CharFilter(field_name="name", lookup_expr="icontains")
    title = filters.CharFilter(field_name="title", lookup_expr="icontains")

    class Meta:
        model = EffectCategory
        fields = ["id", "name", "title"]


class UserListFilter(filters.FilterSet):
    """
    User filter
    filter user id with any word
    """

    id = filters.CharFilter(field_name="id", lookup_expr="exact")

    class Meta:
        model = User
        fields = ["id"]


class UserFavouriteFilter(filters.FilterSet):
    """
    UserFavourite filter
    filter user id with any word
    """

    user = filters.CharFilter(field_name="user__id", lookup_expr="exact")

    class Meta:
        model = UserFavourite
        fields = ["user"]


class PageFilter(filters.FilterSet):
    """
    Page filter
    filter pagerole with any word
    """

    user = filters.CharFilter(field_name="pagerole", lookup_expr="exact")

    class Meta:
        model = Page
        fields = ["pagerole"]
