# Generated by Django 3.0.13 on 2021-02-23 11:44

import django.db.models.deletion
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("MeditationApp", "0002_personlize"),
    ]

    operations = [
        migrations.CreateModel(
            name="CategoryImage",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("image", models.ImageField(upload_to="category_images")),
            ],
            options={
                "db_table": "category_image",
            },
        ),
        migrations.CreateModel(
            name="SongsImage",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("image", models.ImageField(upload_to="songs_images")),
            ],
            options={
                "db_table": "songs_image",
            },
        ),
        migrations.AddField(
            model_name="personlize",
            name="created",
            field=models.DateTimeField(
                auto_now_add=True, default=django.utils.timezone.now
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="personlize",
            name="updated",
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.CreateModel(
            name="SongsCategory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, max_length=200, null=True)),
                ("title", models.TextField(blank=True, max_length=200, null=True)),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "listen_count",
                    models.IntegerField(blank=True, default="0", null=True),
                ),
                ("status", models.BooleanField(default=False)),
                ("isDeleted", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                (
                    "images",
                    models.ManyToManyField(
                        blank=True, to="MeditationApp.CategoryImage"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="user_songs_category",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "songs_category",
            },
        ),
        migrations.CreateModel(
            name="Songs",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, max_length=200, null=True)),
                ("title", models.TextField(blank=True, max_length=200, null=True)),
                ("audios", models.FileField(blank=True, null=True, upload_to="audios")),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "listen_count",
                    models.IntegerField(blank=True, default="0", null=True),
                ),
                ("status", models.BooleanField(default=False)),
                ("isDeleted", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                (
                    "images",
                    models.ManyToManyField(blank=True, to="MeditationApp.SongsImage"),
                ),
                (
                    "songs_category",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="category_songs",
                        to="MeditationApp.SongsCategory",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="user_songs",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "songs",
            },
        ),
    ]
