# Generated by Django 3.0.13 on 2021-03-16 07:03

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("MeditationApp", "0010_auto_20210309_0501"),
    ]

    operations = [
        migrations.CreateModel(
            name="EffectAlbum",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, max_length=200, null=True)),
                ("title", models.TextField(blank=True, max_length=200, null=True)),
                ("cover_images", models.ImageField(upload_to="effect_album_images")),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "listen_count",
                    models.IntegerField(blank=True, default="0", null=True),
                ),
                ("status", models.BooleanField(default=False)),
                ("isDeleted", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
            ],
            options={
                "db_table": "effect_album",
            },
        ),
        migrations.CreateModel(
            name="EffectCategory",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, max_length=200, null=True)),
                ("title", models.TextField(blank=True, max_length=200, null=True)),
                ("cover_images", models.ImageField(upload_to="effect_category_images")),
                ("description", models.TextField(blank=True, default="", null=True)),
                ("author_name", models.TextField(blank=True, default="", null=True)),
                ("author_image", models.ImageField(upload_to="effect_category_images")),
                (
                    "listen_count",
                    models.IntegerField(blank=True, default="0", null=True),
                ),
                ("status", models.BooleanField(default=False)),
                ("isDeleted", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
            ],
            options={
                "db_table": "effect_category",
            },
        ),
        migrations.CreateModel(
            name="EffectSongs",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, max_length=200, null=True)),
                ("title", models.TextField(blank=True, max_length=200, null=True)),
                ("cover_images", models.ImageField(upload_to="effect_songs_images")),
                (
                    "audios",
                    models.FileField(blank=True, null=True, upload_to="effect_audios"),
                ),
                ("description", models.TextField(blank=True, default="", null=True)),
                (
                    "listen_count",
                    models.IntegerField(blank=True, default="0", null=True),
                ),
                ("status", models.BooleanField(default=False)),
                ("isDeleted", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(auto_now=True)),
                (
                    "effect_album",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="effect_albums_songs",
                        to="MeditationApp.EffectAlbum",
                    ),
                ),
            ],
            options={
                "db_table": "effect_songs",
            },
        ),
        migrations.AddField(
            model_name="effectalbum",
            name="effect_category",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="category_effects_albums",
                to="MeditationApp.EffectCategory",
            ),
        ),
    ]
