from django.conf import settings
from django.conf.urls import url
from django.conf.urls.static import static
from django.urls import include, path
from rest_framework import routers

from MeditationApp import views
from MeditationApp.views import *

router = routers.DefaultRouter(trailing_slash=False)
router.register(r"user", UserViewSet)


urlpatterns = [
    path("", include(router.urls)),
    path("login", LoginView.as_view()),
    path("logout", LogoutView.as_view()),
    path("changePassword", ChangePasswordView.as_view()),
    # url(r'^check-reset-token/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$',
    # PasswordResetConfirmView.as_view(), name='check-reset-token'),
    path(
        "check-reset-token/<uidb64>/<token>/",
        PasswordResetConfirmView.as_view(),
        name="check-reset-token",
    ),
    path("forgot-password", ForgotPasswordView.as_view()),
    path("confirmToken", ConfirmTokenView.as_view()),
    path("resetPassword", ResetPasswordView.as_view()),
    path("signup", SignUpViewSet.as_view()),
    path("success", success_view),
    path("dashboard", DashboardListView.as_view()),
    path("personlize", PersonlizeViewSet.as_view()),
    path("searchSongsList", SearchSongsListView.as_view()),
    path("songsList", SongsListView.as_view()),
    path("songDetails", SongDetailsView.as_view()),
    path("mostPopularSongs", MostPopularSongsView.as_view()),
    path("userUpdate", UserUpdateView.as_view()),
    path("songAddToFavourite", SongAddToFavouriteViewSet.as_view()),
    path("videoAddToFavourite", VideoAddToFavouriteViewSet.as_view()),
    path("favouriteSongList", FavouriteSongListViewSet.as_view()),
    path("removeUserFavourite", UserFavouriteRemoveViewSet.as_view()),
    path("removeUserFavouriteVideo", UserFavouriteVideoRemoveViewSet.as_view()),
    path("facebookLogin", FacebookView.as_view(), name="facebook-login"),
    path("googleLogin", GoogleView.as_view(), name="google-login"),
    path("appleLogin", SigninAppleView.as_view(), name="apple-login"),
    path("effectCategoryList", EffectCategoryListView.as_view()),
    path("exploreSongsList", ExploreSongsListView.as_view()),
    path("searchCategoryList", SearchCategoryListView.as_view()),
    path("binauralEffectSongsList", BinauralEffectSongsListView.as_view()),
    path("updateTodayspecialVideoCount", UpdateTodayspecialVideoCountView.as_view()),
    path("staticPage", StaticPageView.as_view()),
    path("getLoginPageVideo", LoginPageVideoView.as_view()),
    path("contactUs", ContactUsView.as_view()),
    path("addAlarmNotification", AddAlarmNotificationView.as_view()),
    path("addDurationNotification", AddDurationNotificationView.as_view()),
    path("userNotificationList", UserNotificationListView.as_view()),
    path("validateSubscription", SubscriptionReceiptValidation.as_view()),
    path("checkSubscription", CheckSubscriptionReceipt.as_view()),
    path("cancelSubscription", cancelSubscription.as_view()),
    path("accountDelete", accountDelete.as_view()),
    path("downloadedSongs", downloadedSongsView.as_view()),
    path("deletedownloadedSongs/<int:pk>/", deletedownloadedSongs.as_view()),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
